"use client";

import { Button } from "@/components/ui/button";
import { useRouter } from "next/navigation";
import { User, Bell, MessageSquare } from "lucide-react";

export default function ProfileHeader() {
  const router = useRouter();

  return (
    <header className="border-b bg-background/95 backdrop-blur supports-[backdrop-filter]:bg-background/60">
      <div className="container mx-auto px-4 h-16 flex items-center justify-between">
        <h1 className="text-2xl font-bold">My Profile</h1>
        
        <div className="flex items-center gap-4">
          <Button
            variant="outline"
            size="icon"
            onClick={() => router.push("/dashboard")}
          >
            <Bell className="h-4 w-4" />
          </Button>
          <Button
            variant="outline"
            size="icon"
            onClick={() => router.push("/messages")}
          >
            <MessageSquare className="h-4 w-4" />
          </Button>
          <Button
            onClick={() => router.push("/dashboard")}
            className="gap-2"
          >
            <User className="h-4 w-4" />
            Dashboard
          </Button>
        </div>
      </div>
    </header>
  );
}